package com.xhpc.common.api.dto;

import java.util.Arrays;
import java.util.Set;

public class ChargingStationDto {

    private Long stationId;
    private Set<String> piles;
    private Long rateModelId;
    private String operatorId;
    private Double lat;
    private Double lng;
    private Integer type;
    private Long construction;
    private String address;
    private String areaCode;
    private String name;
    private String serviceTel;
    private String parkFee;
    private Integer parkNums;

    private String [] pictures;
    /**
     * 装机总功率（单位：kw）
     */
    private Integer installedTotalPower;

    /**
     * 运行最大总功率(单位：%）
     */
    private Integer runningTotalPower;

    public Integer getInstalledTotalPower() {
        return installedTotalPower;
    }

    public void setInstalledTotalPower(Integer installedTotalPower) {
        this.installedTotalPower = installedTotalPower;
    }

    public Integer getRunningTotalPower() {
        return runningTotalPower;
    }

    public void setRunningTotalPower(Integer runningTotalPower) {
        this.runningTotalPower = runningTotalPower;
    }

    public String getAddress() {

        return address;
    }

    public void setAddress(String address) {

        this.address = address;
    }

    public Integer getParkNums() {

        return parkNums;
    }

    public void setParkNums(Integer parkNums) {

        this.parkNums = parkNums;
    }

    public String getName() {

        return name;
    }

    public void setName(String name) {

        this.name = name;
    }

    public Double getLat() {

        return lat;
    }

    public void setLat(Double lat) {

        this.lat = lat;
    }

    public Double getLng() {

        return lng;
    }

    public void setLng(Double lng) {

        this.lng = lng;
    }

    public Integer getType() {

        return type;
    }

    public void setType(Integer type) {

        this.type = type;
    }

    public Long getStationId() {

        return stationId;
    }

    public void setStationId(Long stationId) {

        this.stationId = stationId;
    }

    public Set<String> getPiles() {

        return piles;
    }

    public void setPiles(Set<String> piles) {

        this.piles = piles;
    }

    public Long getRateModelId() {

        return rateModelId == null ? -1L : rateModelId;
    }

    public void setRateModelId(Long rateModelId) {

        this.rateModelId = rateModelId;
    }

    public String getOperatorId() {

        return operatorId;
    }

    public void setOperatorId(String operatorId) {

        this.operatorId = operatorId;
    }

    public Long getConstruction() {

        return construction == null ? 10 : construction;
    }

    public void setConstruction(Long construction) {

        this.construction = construction;
    }

    public String getAreaCode() {

        return areaCode;
    }

    public void setAreaCode(String areaCode) {

        this.areaCode = areaCode;
    }

    public void setServiceTel(String serviceTel) {

        this.serviceTel = serviceTel;
    }

    public String getServiceTel() {

        return serviceTel;
    }

    public String getParkFee() {
        return parkFee;
    }

    public void setParkFee(String parkFee) {
        this.parkFee = parkFee;
    }

    public String[] getPictures() {
        return pictures;
    }

    public void setPictures(String[] pictures) {
        this.pictures = pictures;
    }

    @Override
    public String toString() {
        return "ChargingStationDto{" +
                "stationId=" + stationId +
                ", piles=" + piles +
                ", rateModelId=" + rateModelId +
                ", operatorId='" + operatorId + '\'' +
                ", lat=" + lat +
                ", lng=" + lng +
                ", type=" + type +
                ", construction=" + construction +
                ", address='" + address + '\'' +
                ", areaCode='" + areaCode + '\'' +
                ", name='" + name + '\'' +
                ", serviceTel='" + serviceTel + '\'' +
                ", parkFee='" + parkFee + '\'' +
                ", parkNums=" + parkNums +
                ", pictures=" + Arrays.toString(pictures) +
                ", installedTotalPower=" + installedTotalPower +
                ", runningTotalPower=" + runningTotalPower +
                '}';
    }
}
